import 'package:flutter/material.dart';


class RecipientActions extends StatelessWidget {
  final VoidCallback? onEdit;
  final VoidCallback? onDelete;

  const RecipientActions({super.key, required this.onEdit, required this.onDelete});

  @override
  Widget build(BuildContext context) => Row(
    children: [
      IconButton(
        icon: Icon(Icons.edit, color: Theme.of(context).colorScheme.primary),
        onPressed: onEdit,
      ),
      IconButton(
        icon: Icon(Icons.delete, color: Theme.of(context).colorScheme.error),
        onPressed: onDelete,
      ),
    ],
  );
}
